> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Check filter value

> Check whether a value exists in a set filter transform.

```
GET /api/v1/beam/{config_id}/transforms/{transform_uid}/filter-values/check
```

Check whether a value exists in the filter.

**Path parameters:**

| Parameter       | Description                     |
| :-------------- | :------------------------------ |
| `config_id`     | Pipeline configuration ID       |
| `transform_uid` | UID of the set filter transform |

**Query parameters:**

| Parameter | Required | Description        |
| :-------- | :------- | :----------------- |
| `value`   | Yes      | The value to check |

```bash theme={null}
curl -X GET "https://api.allium.so/api/v1/beam/${CONFIG_ID}/transforms/${TRANSFORM_UID}/filter-values/check?value=0x3c499c542cef5e3811e1192ce70d8cc03d5c3359" \
  -H "X-API-Key: ${ALLIUM_API_KEY}"
```

**Response:**

```json theme={null}
{ "value": "0x3c499c542cef5e3811e1192ce70d8cc03d5c3359", "is_member": true }
```
